카페24 웹호스팅 phpMyAdmin 직접 설치하기 - 그누보드팁

본문 바로가기
전체검색

그누보드팁

그누보드, 영카트 초보 제작자분들을 위한 다양한 스킨 제작 활용 팁을 공유합니다.

카페24 웹호스팅 phpMyAdmin 직접 설치하기

관리자 18-12-26 20:23

최근 보안 이슈로 cafe24에서 기본으로 제공했던 phpMyAdmin 서비스가 중단되었는데

계정에 별도로 직접 설치해서 이용하는 방법을 살펴보겠습니다.

예전에는 이렇게 직접 업로드하면 권한 문제로 안 됐었던걸로 기억하는데 지금은 되네요.



phpMyAdmin 다운로드

https://www.phpmyadmin.net/downloads


전체 버전 목록

https://www.phpmyadmin.net/files 



PHP7 서버를 사용 중이면 4.8.4 다운로드

현재 시점 기준이며 이후에는 버전 업데이트가 계속 이루어지기 때문에 최신 버전은 일부 차이가 있을 수 있습니다.


8ade372a8e9c1712bed969e9317a269c_1545823843_5525.gif 


PHP5 서버를 사용 중이면 4.0.10.20


8ade372a8e9c1712bed969e9317a269c_1545824137_6771.gif 



cafe24 로그인 후 > 호스팅 관리 > 서비스 사용 현황에서 본인의 서버 환경을 확인할 수 있습니다.


8ade372a8e9c1712bed969e9317a269c_1545823589_4.gif 


본인의 서버 환경에 맞는 파일을 다운로드한 후 압축을 풀고 FTP로 계정에 업로드합니다.

압축 푼 폴더명 그대로 올리지 말고 본인만 알아볼 수 있는 이름으로 변경해서 올리세요.

phpmyadmin 이렇게 일반적인 폴더명은 피하는게 좋습니다.


업로드 경로는 그누보드 설치하듯이 www/ 하위 폴더에 올리면 됩니다.

예를 들어 폴더명을 pconfig 로 변경해서 업로드했다면


접속 방법은 http://도메인주소/pconfig


보안이 염려된다면 사용할 때만 잠깐 업로드해서 작업하고 바로 삭제하는 것도 좋겠죠.



## 참고 사항


아래와 같은 화면이 출력된다면 버전을 잘못 설치하신 겁니다.

사용하고 계시는 서버 환경에 맞는 버전을 설치하세요.

위에서도 언급했지만 호스팅 관리에서 현재 사용하고 있는 서버 환경을 확인할 수 있습니다.

예를 들어 서버는 PHP5 인데 phpMyAdmin 4.8.4 버전을 설치하면 에러가 뜹니다.

무조건 최신 버전을 설치하면 안 되고 본인의 서버 환경에 맞는 버전을 설치하세요.

직접 설치해서 확인해봤는데 카페24 서버는 PHP5.5 버전도 phpMyAdmin 4.0.10.20 버전을 설치해야 하네요.


849da875d3ac6698ca938dd9b64b5721_1546316990_7383.png

로그인 후 댓글 작성 가능합니다.
그누스킨닷컴

그누스터디는 그누보드, 영카트를 이용하시는 초보 사용자를 위한 정보를 공유합니다.

E-MAIL : gnustudy@naver.com / 카카오톡 : gnustudy / 텔레그램 : gnustudy
제작 문의를 제외한 일반 문의는 QA 게시판을 이용해주세요.

Copyright © GNUSTUDY. All rights reserved.